Программа ScanOVAL для Linux для автоматизированных проверок наличия уязвимостей программного обеспечения

ScanOVAL for Linux

Программа ScanOVAL для Linux обеспечивает выполнение следующих основных функций:

  • - загрузка XML-файлов с OVAL-описаниями уязвимостей, выполненными в соответствии со стандартом «The OVAL Language Specification» версии не ниже 5.10.1;
  • - обнаружение на основании обработки данных, представленных в XML-файлах, уязвимостей программного обеспечения, установленного на локальной ПЭВМ, работающей под управлением операционной системы Astra Linux 1.6 SE.

Для работы программы ScanOVAL для Linux аппаратная конфигурация компьютера должна соответствовать следующим минимальным требованиям:

  • - процессор с тактовой частотой 1 ГГц или выше;
  • - не менее 512 Мб оперативной памяти;
  • - 0,5 Гб свободного места на жестком диске.

Программа ScanOVAL для Linux функционирует под управлением операционной системы Astra Linux 1.6 SE.

Для обеспечения работы программы ScanOVAL для Linux необходимо следующее программное обеспечение:

  • - графический интерфейс пользователя Fly 2.0;
  • - Xorg версии 7.7;
  • - qt 5.11;
  • - libcurl3_7.52.1-5+deb9u9 (поставляется совместно с дистрибутивом программы ScanOVAL для Linux);
  • - libopenscap8_1.2.9-1+b2 (поставляется совместно с дистрибутивом программы ScanOVAL для Linux);